function [K,R] = fdm_assemble()
%
%   [K,R] = fdm_assemble(data)
%

global data

% handle data (DESEMPAQUETAMOS los datos)
Dt = data.param.dt;
rho = data.param.rho;
Cp = data.param.Cp;

ntime = data.param.ntime;
xnod = data.xnod;
source = data.source;
numnp = size(xnod,1);

state = data.state;
state_old = data.state_old;
state_0 = state;

job_flag = data.job_flag;

R = zeros(numnp,1);

get_conductivity;

if strcmp(job_flag,'all');
    rowg = []; colg = []; coeg = [];

    fdm_diffusion;
    
    K = sparse(rowg,colg,coeg);
    data.K = K;        % se carga en memoria la matriz una vez calculada
    data.job_flag = 'no'; % esta variable se pone a cero y es la que controla el IF
else
    K = data.K;  % se toma la matriz de la memoria sin calcularla
    fdm_diffusion;
end

