
% Grid generation , only for rectangular domain
Nx = 21; Ny = 21;
x1 = (0:Nx-1)'/(Nx-1);
x2 = (0:Ny-1)'/(Ny-1);
[xnod,icone] = qq3d([x1,0*x1],[0*x2,x2]);
[numnp,ndm]=size(xnod);

% some additional information
tol  = 1e-6;
xmin = min(xnod); xmax = max(xnod);
nodes_lef = find(abs(xnod(:,1)-xmin(1))<tol);
nodes_rig = find(abs(xnod(:,1)-xmax(1))<tol);
nodes_bot = find(abs(xnod(:,2)-xmin(2))<tol);
nodes_top = find(abs(xnod(:,2)-xmax(2))<tol);

% parameters
if 0
    dt = 0.5e-01;
    ntime = 40;
else
    dt=1e15;
    ntime = 3;
end
conductivity = 0.001;
rho = 1;
Cp = 1;
ttime = 0;
ndf = 1;
maxit =2;
tol_newton = 1e-10;
scaling = 1;
nfreqplot = 1;
numnp = size(xnod,1);
if 1
    source = -0.*ones(numnp,1);
    reac   =  0.*ones(numnp,1);
else
    h_film =  10;
    T_ref  = 0.1;
    reac   = h_film*ones(numnp,1);
    source = h_film*T_ref*ones(numnp,1);
end

veloc = 0.1*ones(numnp,1)*[1,0];

% boundary conditions
set_bc;

% initial state
state = 0*xnod(:,1);
state(bc.Dirichlet.nodes,1) = bc.Dirichlet.value;

% get the stencil of the numerical method and get the ficticious nodes
% used for Neumann boundary conditions
fdm_bc;

% save the data base
handle_data_base;

